Business Code
To view all business codes:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
pageTokenstringOptional
requestedPageSizeintegerOptional
itemCountintegerOptional
get/api/v2/businessCode
GET /api/v2/businessCode HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"pageToken": "0",
"requestedPageSize": 50,
"itemCount": 3,
"items": [
{
"businessCodeId": "1",
"businessCode": "DOMESTIC",
"name": "Customer is local to the legal billing entity. E.g. if the legal billing entity is in the UK, the customer is also in the UK.",
"title": "DOMESTIC",
"status": "setup"
},
{
"businessCodeId": "2",
"businessCode": "EU",
"name": "Customer is based in the European Union.",
"title": "EU",
"status": "active"
},
{
"businessCodeId": "3",
"businessCode": "EXPORT",
"name": "Customer is based in the rest of the world. E.g. if the legal billing entity is in the UK, the customer is non-UK and non-EU.",
"title": "EXPORT",
"status": "active"
}
]
}To create a new business code:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
businessCodestringRequired
namestringRequired
titlestringRequired
Responses
200
Successful response
No content
post/api/v2/businessCode
POST /api/v2/businessCode HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"businessCode": "text",
"name": "text",
"title": "text"
}200
Successful response
No content
To view details for a specific business code:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
businessCodeIdstringRequired
Responses
200
Successful response
application/json
businessCodeIdstringOptional
businessCodestringOptional
namestringOptional
titlestringOptional
statusstringOptional
get/api/v2/businessCode/{businessCodeId}
GET /api/v2/businessCode/{businessCodeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"businessCodeId": "2",
"businessCode": "EU",
"name": "Customer is based in the European Union.",
"title": "EU",
"status": "active"
}To update a specific business code:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
businessCodeIdstringRequired
Body
namestringOptional
titlestringOptional
statusstringOptional
Responses
200
Successful response
application/json
businessCodeIdstringOptional
businessCodestringOptional
namestringOptional
titlestringOptional
statusstringOptional
patch/api/v2/businessCode/{businessCodeId}
PATCH /api/v2/businessCode/{businessCodeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"name": "text",
"title": "text",
"status": "text"
}200
Successful response
{
"businessCodeId": "1",
"businessCode": "DOMESTIC",
"name": "Customer is local to the legal billing entity. E.g. if the legal billing entity is in the UK, the customer is also in the UK.",
"title": "DOMESTIC",
"status": "active"
}Last updated
Was this helpful?